
Application: gvSIG desktop - gvSIG bugs #2162
NPE when mouse move on a view with degrees units
12/20/2013 09:51 AM - Jose Manuel Vivó Arnal

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Document view
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2215 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

    1. Open gvSIG
    2. Create a new View
    3. Open View properties
    4. Set SRS to EPSG:25830
    5. Set all units to Degrees
    6. Press Accept
    7. Move mouse cursor over view

Status bar doesn't show anything and S.O. console shows:

java.lang.NullPointerException
    at org.gvsig.crs.proj.JNIBaseCrs.operate(JNIBaseCrs.java:143)
    at org.gvsig.crs.Crs.toGeo(Crs.java:552)
    at org.gvsig.app.project.documents.view.toolListeners.StatusBarListener.getCoords(StatusBarListener.java:288)
    at org.gvsig.app.project.documents.view.toolListeners.StatusBarListener.point(StatusBarListener.java:157)
    at org.gvsig.fmap.mapcontrol.tools.Behavior.MouseMovementBehavior.mouseMoved(MouseMovementBehavior.java:73)
    at org.gvsig.fmap.mapcontrol.tools.CompoundBehavior.mouseMoved(CompoundBehavior.java:262)
    at org.gvsig.fmap.mapcontrol.MapControl$MapToolListener.mouseMoved(MapControl.java:1841)
    at java.awt.Component.processMouseMotionEvent(Component.java:6312)
    at javax.swing.JComponent.processMouseMotionEvent(JComponent.java:3285)
    at java.awt.Component.processEvent(Component.java:6036)
    at java.awt.Container.processEvent(Container.java:2041)
    at java.awt.Component.dispatchEventImpl(Component.java:4630)
    at java.awt.Container.dispatchEventImpl(Container.java:2099)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4577)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4251)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
    at java.awt.Container.dispatchEventImpl(Container.java:2085)
    at java.awt.Window.dispatchEventImpl(Window.java:2478)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2167: Map coordinates ca... New 12/24/2013

History
#1 - 12/20/2013 09:51 AM - Jose Manuel Vivó Arnal
- Description updated

#2 - 12/20/2013 12:51 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#3 - 12/23/2013 02:09 PM - Juan Lucas Domínguez

Catching exception when "unprojecting" is not possible, but we are still not able to "unproject". Perhaps we should be more restrictive with the available
units list.

gvsig-desktop:r41000

#4 - 12/24/2013 08:51 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

I am closing this and created ticket #2167

#5 - 01/13/2014 09:50 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2217-devel

#6 - 01/27/2014 05:30 PM - Álvaro Anguix
- Status changed from Fixed to Closed
